require 'sketchup.rb'

#---------------------------------------
#              show_dialog
#---------------------------------------
	def show_dialog()
		data = '{"version":2,"user_log":"User","user_pass":"test","mac":"00:1D:60:0D:80:87","user_seed":3408444916}'

		@dlg = UI::WebDialog.new( "connect to website", false, "DialogTest", 200, 150, 150, 150, true );
		@dlg.allow_actions_from_host( 'http://cabmaker32.com/' );

		@dlg.add_action_callback( "ruby_callback" ) { |dialog, params|
			text = params.to_s

			puts text

			if( text == 'loaded' )
				js_command = "from_ruby( '" + data + "' )"
				dialog.execute_script( js_command )
			else
				UI.messagebox( text )
			end
		}

	  html = <<-HTML
<!DOCTYPE html>
<html>
<head>
<script type="text/javascript">
var xmlHttp = null;

if ( document.addEventListener )
	document.addEventListener( "DOMContentLoaded", ready, false );
else if ( document.attachEvent )
	document.attachEvent( "onreadystatechange", check_ready );

function from_ruby( data )
{
   xmlHttp = new XMLHttpRequest();
   xmlHttp.open( "POST", "http://cabmaker32.com/stairmaker_service.php", true );
   xmlHttp.onreadystatechange = handleRequestStateChange;
   xmlHttp.send( data );
}
function ruby_call( text )
{
   window.location.href = 'skp:ruby_callback@' + text;
}
function handleRequestStateChange()
{
	if ( xmlHttp.readyState == 4 )
	{
		if ( xmlHttp.status == 200 )
			ruby_call( xmlHttp.responseText );
		else
		{
			var error = 'http error ' + xmlHttp.status;
			ruby_call( error );
		}
	}
}
function check_ready()
{
	if ( document.readyState === "complete" )
		ready()
}
function ready()
{
	ruby_call( "loaded" );
}
</script>
</head>
</html>
	  HTML

	  @dlg.set_html html
	  @dlg.show
	end

if ( not file_loaded?( "dialog_test.rb" ) )
	UI.menu( "Plugins" ).add_item( "Web Dialog Test" ) { show_dialog() }
	file_loaded( "dialog_test.rb" )
end
# ------------------------------------------------

